com.fasterxml.jackson.databind.deser.std

## Class ContainerDeserializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionDeserializer, EnumMapDeserializer, MapDeserializer, MapEntryDeserializer, ObjectArrayDeserializer, StringCollectionDeserializer

    public abstract class ContainerDeserializerBase<T>
    extends StdDeserializer<T>

Intermediate base deserializer class that adds more shared accessor so that other classes can access information about contained (value) types

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`protected` `ContainerDeserializerBase(Class<?> selfType)` Deprecated. Since 2.3 use one that takes `JavaType`
`protected` `ContainerDeserializerBase(JavaType selfType)`

### Method Summary

Methods
`SettableBeanProperty` `findBackReference(String refName)` Method needed by `BeanDeserializerFactory` to properly link managed- and back-reference pairs.
`abstract JsonDeserializer<Object>` `getContentDeserializer()` Accesor for deserializer use for deserializing content values.
`abstract JavaType` `getContentType()` Accessor for declared type of contained value elements; either exact type, or one of its supertypes.
`protected void` `wrapAndThrow(Throwable t, Object ref, String key)` Helper method called by various Map(-like) deserializers.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, deserializeWithType, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, deserialize, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerDeserializerBase

    protected ContainerDeserializerBase(JavaType selfType)

#### ContainerDeserializerBase

    @Deprecated
    protected ContainerDeserializerBase(Class<?> selfType)

Deprecated. Since 2.3 use one that takes `JavaType`

### Method Detail

#### findBackReference

    public SettableBeanProperty findBackReference(String refName)

Description copied from class: `JsonDeserializer`
Method needed by `BeanDeserializerFactory` to properly link managed- and back-reference pairs.

Overrides:
  `findBackReference` in class `JsonDeserializer<T>`

#### getContentType

    public abstract JavaType getContentType()

Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

#### getContentDeserializer

    public abstract JsonDeserializer<Object> getContentDeserializer()

Accesor for deserializer use for deserializing content values.

#### wrapAndThrow

    protected void wrapAndThrow(Throwable t,
                    Object ref,
                    String key)
                         throws IOException

Helper method called by various Map(-like) deserializers.

Throws:
  `IOException`